%define module_name DBIx-Class-TopoSort
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/CBuilder.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(Graph.pm) perl(JSON.pm) perl(JSON/Any.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Memoize.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/DBIx/Class.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(YAML/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.050100
Release: alt1
Summary: The addition of topological sorting to DBIx::Class
Group: Development/Perl
License: see LICENSE
URL: http://search.cpan.org/perldoc?DBIx%%3A%%3AClass%%3A%%3ATopoSort

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RK/RKINYON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This adds a method to the DBIx::Class::Schema manpage which returns the full list of
sources (similar to the sources entry in the DBIx::Class::Schema manpage) in topological-sorted order.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Mon Oct 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.050100-alt1
- regenerated from template by package builder

* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.050010-alt1
- regenerated from template by package builder

* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.050002-alt1
- initial import by package builder

